Bug 251598 - games/tali: Update to 3.38.2
Summary: games/tali: Update to 3.38.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-05 06:28 UTC by Neel Chauhan
Modified: 2020-12-10 17:58 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch (Revision 1) (4.85 KB, patch)
2020-12-05 06:28 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (4.84 KB, patch)
2020-12-05 23:05 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 3) (4.83 KB, patch)
2020-12-06 18:53 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2020-12-05 06:28:20 UTC
Created attachment 220272 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 daniel.engberg.lists 2020-12-05 14:19:45 UTC
This looks incorrect USES= gmake meson pathfix

Best regards,
Daniel
Comment 2 Neel Chauhan freebsd_committer 2020-12-05 22:47:25 UTC
The truth is that newer GNOME packages use Meson as their build system instead of GNU autotools, hence why it's there.
Comment 3 Neel Chauhan freebsd_committer 2020-12-05 22:48:37 UTC
This is done in other GNOME Games:

neel@omen:/usr/ports/games % grep -R meson gnome*
gnome-2048/Makefile:USES=		gettext gl gmake gnome localbase meson pathfix pkgconfig tar:xz xorg
gnome-chess/Makefile:USES=		desktop-file-utils gettext gl gnome localbase meson \
gnome-klotski/Makefile:USES=		gettext gmake gnome localbase meson pathfix \
gnome-mahjongg/Makefile:USES=		gettext gmake gnome localbase meson pathfix pkgconfig tar:xz
gnome-mines/Makefile:USES=		gettext gnome localbase meson pkgconfig python:3.6+,build tar:xz
gnome-nibbles/Makefile:USES=		gettext gl gnome meson pathfix \
gnome-robots/Makefile:USES=		gettext gmake gnome localbase meson pathfix \
gnome-sudoku/Makefile:USES=		compiler:c++11-lang gettext gmake gnome meson \
gnome-taquin/Makefile:USES=		gettext gmake gnome localbase meson pathfix pkgconfig tar:xz xorg
gnome-tetravex/Makefile:USES=		gettext gmake gnome localbase meson pathfix pkgconfig \
neel@omen:/usr/ports/games %
Comment 4 Charlie Li 2020-12-05 23:02:44 UTC
The USES=gmake is wrong here, since meson calls ninja to drive the build in this (and at least nearly every other) case. It may not have any effect when USES=meson is also present but it is extra and unnecessary.
Comment 5 Neel Chauhan freebsd_committer 2020-12-05 23:05:27 UTC
Created attachment 220298 [details]
Patch (Revision 2)

You're right. I removed USES=gmake and it passed Poudriere. Thanks!
Comment 6 daniel.engberg.lists 2020-12-06 16:03:34 UTC
...and is pathfix needed?
Comment 7 Neel Chauhan freebsd_committer 2020-12-06 18:53:08 UTC
Created attachment 220323 [details]
Patch (Revision 3)

You're right too, here's an updated patch.
Comment 8 Tobias C. Berner freebsd_committer 2020-12-10 17:57:51 UTC
Committed, thanks.
Comment 9 commit-hook freebsd_committer 2020-12-10 17:58:25 UTC
A commit references this bug:

Author: tcberner
Date: Thu Dec 10 17:57:44 UTC 2020
New revision: 557449
URL: https://svnweb.freebsd.org/changeset/ports/557449

Log:
  games/tali: Update to 3.38.2

  PR:		251598
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/games/tali/Makefile
  head/games/tali/distinfo
  head/games/tali/pkg-plist